#include <RobotAPI/libraries/armem/client/ComponentPlugin.h>


// ArmarX
#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

// RobotAPI
#include <RobotAPI/libraries/armem/core/error.h>


armarx::armem::client::ComponentPluginUser::ComponentPluginUser()
{
    // pass
}


armarx::armem::client::ComponentPluginUser::~ComponentPluginUser()
{
    // pass
}


void
armarx::armem::client::ComponentPluginUser::setMemoryServer(server::MemoryInterfacePrx memory)
{
    setReadingMemoryServer(memory);
    setWritingMemoryServer(memory);
}


armarx::armem::data::WaitForMemoryResult
armarx::armem::client::ComponentPluginUser::useMemoryServer(const std::string& memoryName)
{
    armem::data::WaitForMemoryResult result = MemoryNameSystemComponentPluginUser::useMemoryServer(memoryName);
    if (result.proxy)
    {
        setMemoryServer(result.proxy);
    }
    return result;
}
