#include "armarx.h"


void armarx::fromAron(const arondto::ObjectID& dto, ObjectID& bo)
{
    bo = ObjectID(dto.dataset, dto.className, dto.instanceName);
}
void armarx::toAron(arondto::ObjectID& dto, const ObjectID& bo)
{
    dto.dataset = bo.dataset();
    dto.className = bo.className();
    dto.instanceName = bo.instanceName();
}


void armarx::fromAron(const armarx::arondto::PackagePath& dto, armarx::PackageFileLocation& bo)
{
    bo.package = dto.package;
    bo.relativePath = dto.path;
    bo.absolutePath = "";
}

void armarx::toAron(armarx::arondto::PackagePath& dto, const armarx::PackageFileLocation& bo)
{
    dto.package = bo.package;
    dto.path = bo.relativePath;
}
